Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead3MethodSemaphoreBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead3MethodSemaphoreBean

@ApplicationScoped public class Bulkhead3MethodSemaphoreBean extends Object
A simple method level Semaphore @Bulkhead(3)

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead3MethodSemaphoreBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead3MethodSemaphoreBean

public Bulkhead3MethodSemaphoreBean()

## Method Details

### test

@Bulkhead(3) public void test(Barrier barrier)